CVE-2007-3007 (php)